

# GetTimeSeriesDataPoint
<a name="API_GetTimeSeriesDataPoint"></a>

Gets the existing data point for the asset.

## Request Syntax
<a name="API_GetTimeSeriesDataPoint_RequestSyntax"></a>

```
GET /v2/domains/domainIdentifier/entities/entityType/entityIdentifier/time-series-data-points/identifier?formName=formName HTTP/1.1
```

## URI Request Parameters
<a name="API_GetTimeSeriesDataPoint_RequestParameters"></a>

The request uses the following URI parameters.

 ** [domainIdentifier](#API_GetTimeSeriesDataPoint_RequestSyntax) **   <a name="datazone-GetTimeSeriesDataPoint-request-uri-domainIdentifier"></a>
The ID of the Amazon DataZone domain that houses the asset for which you want to get the data point.  
Pattern: `dzd[-_][a-zA-Z0-9_-]{1,36}`   
Required: Yes

 ** [entityIdentifier](#API_GetTimeSeriesDataPoint_RequestSyntax) **   <a name="datazone-GetTimeSeriesDataPoint-request-uri-entityIdentifier"></a>
The ID of the asset for which you want to get the data point.  
Pattern: `[a-zA-Z0-9_-]{1,36}`   
Required: Yes

 ** [entityType](#API_GetTimeSeriesDataPoint_RequestSyntax) **   <a name="datazone-GetTimeSeriesDataPoint-request-uri-entityType"></a>
The type of the asset for which you want to get the data point.  
Valid Values: `ASSET | LISTING`   
Required: Yes

 ** [formName](#API_GetTimeSeriesDataPoint_RequestSyntax) **   <a name="datazone-GetTimeSeriesDataPoint-request-uri-formName"></a>
The name of the time series form that houses the data point that you want to get.  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Required: Yes

 ** [identifier](#API_GetTimeSeriesDataPoint_RequestSyntax) **   <a name="datazone-GetTimeSeriesDataPoint-request-uri-identifier"></a>
The ID of the data point that you want to get.  
Pattern: `[a-zA-Z0-9_-]{1,36}`   
Required: Yes

## Request Body
<a name="API_GetTimeSeriesDataPoint_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetTimeSeriesDataPoint_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "domainId": "string",
   "entityId": "string",
   "entityType": "string",
   "form": { 
      "content": "string",
      "formName": "string",
      "id": "string",
      "timestamp": number,
      "typeIdentifier": "string",
      "typeRevision": "string"
   },
   "formName": "string"
}
```

## Response Elements
<a name="API_GetTimeSeriesDataPoint_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [domainId](#API_GetTimeSeriesDataPoint_ResponseSyntax) **   <a name="datazone-GetTimeSeriesDataPoint-response-domainId"></a>
The ID of the Amazon DataZone domain that houses the asset data point that you want to get.  
Type: String  
Pattern: `dzd[-_][a-zA-Z0-9_-]{1,36}` 

 ** [entityId](#API_GetTimeSeriesDataPoint_ResponseSyntax) **   <a name="datazone-GetTimeSeriesDataPoint-response-entityId"></a>
The ID of the asset for which you want to get the data point.  
Type: String  
Pattern: `[a-zA-Z0-9_-]{1,36}` 

 ** [entityType](#API_GetTimeSeriesDataPoint_ResponseSyntax) **   <a name="datazone-GetTimeSeriesDataPoint-response-entityType"></a>
The type of the asset for which you want to get the data point.  
Type: String  
Valid Values: `ASSET | LISTING` 

 ** [form](#API_GetTimeSeriesDataPoint_ResponseSyntax) **   <a name="datazone-GetTimeSeriesDataPoint-response-form"></a>
The time series form that houses the data point that you want to get.  
Type: [TimeSeriesDataPointFormOutput](API_TimeSeriesDataPointFormOutput.md) object

 ** [formName](#API_GetTimeSeriesDataPoint_ResponseSyntax) **   <a name="datazone-GetTimeSeriesDataPoint-response-formName"></a>
The name of the time series form that houses the data point that you want to get.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 128.

## Errors
<a name="API_GetTimeSeriesDataPoint_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
The request has failed because of an unknown error, exception or failure.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource cannot be found.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** UnauthorizedException **   
You do not have permission to perform this action.  
HTTP Status Code: 401

 ** ValidationException **   
The input fails to satisfy the constraints specified by the AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_GetTimeSeriesDataPoint_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/datazone-2018-05-10/GetTimeSeriesDataPoint) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/datazone-2018-05-10/GetTimeSeriesDataPoint) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/datazone-2018-05-10/GetTimeSeriesDataPoint) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/datazone-2018-05-10/GetTimeSeriesDataPoint) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/datazone-2018-05-10/GetTimeSeriesDataPoint) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/datazone-2018-05-10/GetTimeSeriesDataPoint) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/datazone-2018-05-10/GetTimeSeriesDataPoint) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/datazone-2018-05-10/GetTimeSeriesDataPoint) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/datazone-2018-05-10/GetTimeSeriesDataPoint) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/datazone-2018-05-10/GetTimeSeriesDataPoint) 